# installer script for Mimaki Sentinel Dongle Driver
# 2016 foo.li systeme + software

$packageName	= 'mimaki-sentinel-dongle'
$version        = '7.6.1'
$internal       = '7.6.10'
$installerType	= 'MSI'
$silentArgs     = '/qb'
$validExitCodes	= @(0,1,3010)
$packageSearch  = 'Sentinel Protection Installer 7*'

#check if file is present on share
$strFileName='\\unxfsv001\software\nonfree\m\mimaki\RLP5SG\2.70\DongleDriver\extracted\Sentinel Protection Installer 7.6.1.msi'
if (Test-Path $strFileName){
    Write-Host 'File found on internal share'
    $url = $strFileName
    $url64 = $url
} else {
    Write-Warning 'This is nonfree software and not available free to download.'
    Write-Warning 'This package is only for foo.li internal use'
   throw 'package is only for foo.li internal use.'
}

$app = Get-ItemProperty -Path @('HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*',
                                'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*')`
            -ErrorAction:SilentlyContinue | Where-Object { $_.DisplayName -like $packageSearch }
     
#if ($app -and ([version]$app.DisplayVersion -ge [version]$internal)) {
if ($app -and ($app.DisplayVersion -ge $internal)) {
    Write-Output $(
    'Mimaki Sentinel Dongle Driver' + $app.DisplayVersion + ' is already installed. ' +
    'No need to install again. Otherwise please remove first.'
    )
} else {
    try {
        Install-ChocolateyPackage $packageName $installerType $silentArgs $url $url64 -validExitCodes $validExitCodes
    } catch {
        throw $_.Exception
    }
}